1#! /bin/sh
2
3# Guess values for system-dependent variables and create Makefiles.
4# Generated automatically using autoconf version 2.13
5# Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
6#
7# This configure script is free software; the Free Software Foundation
8# gives unlimited permission to copy, distribute and modify it.
9
10# Defaults:
11ac_help=
12ac_default_prefix=/usr/local
13# Any additions from configure.in:
14
15# Initialize some variables set by options.
16# The variables have the same names as the options, with
17# dashes changed to underlines.
18build=NONE
19cache_file=./config.cache
20exec_prefix=NONE
21host=NONE
22no_create=
23nonopt=NONE
24no_recursion=
25prefix=NONE
26program_prefix=NONE
27program_suffix=NONE
28program_transform_name=s,x,x,
29silent=
30site=
31srcdir=
32target=NONE
33verbose=
34x_includes=NONE
35x_libraries=NONE
36bindir='${exec_prefix}/bin'
37sbindir='${exec_prefix}/sbin'
38libexecdir='${exec_prefix}/libexec'
39datadir='${prefix}/share'
40sysconfdir='${prefix}/etc'
41sharedstatedir='${prefix}/com'
42localstatedir='${prefix}/var'
43libdir='${exec_prefix}/lib'
44includedir='${prefix}/include'
45oldincludedir='/usr/include'
46infodir='${prefix}/info'
47mandir='${prefix}/man'
48
49# Initialize some other variables.
50subdirs=
51MFLAGS= MAKEFLAGS=
52SHELL=${CONFIG_SHELL-/bin/sh}
53# Maximum number of lines to put in a shell here document.
54ac_max_here_lines=12
55
56ac_prev=
57for ac_option
58do
59
60  # If the previous option needs an argument, assign it.
61  if test -n "$ac_prev"; then
62    eval "$ac_prev=\$ac_option"
63    ac_prev=
64    continue
65  fi
66
67  case "$ac_option" in
68  -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
69  *) ac_optarg= ;;
70  esac
71
72  # Accept the important Cygnus configure options, so we can diagnose typos.
73
74  case "$ac_option" in
75
76  -bindir | --bindir | --bindi | --bind | --bin | --bi)
77    ac_prev=bindir ;;
78  -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
79    bindir="$ac_optarg" ;;
80
81  -build | --build | --buil | --bui | --bu)
82    ac_prev=build ;;
83  -build=* | --build=* | --buil=* | --bui=* | --bu=*)
84    build="$ac_optarg" ;;
85
86  -cache-file | --cache-file | --cache-fil | --cache-fi \
87  | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
88    ac_prev=cache_file ;;
89  -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
90  | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
91    cache_file="$ac_optarg" ;;
92
93  -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
94    ac_prev=datadir ;;
95  -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
96  | --da=*)
97    datadir="$ac_optarg" ;;
98
99  -disable-* | --disable-*)
100    ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
101    # Reject names that are not valid shell variable names.
102    if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
103      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
104    fi
105    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
106    eval "enable_${ac_feature}=no" ;;
107
108  -enable-* | --enable-*)
109    ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
110    # Reject names that are not valid shell variable names.
111    if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
112      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
113    fi
114    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
115    case "$ac_option" in
116      *=*) ;;
117      *) ac_optarg=yes ;;
118    esac
119    eval "enable_${ac_feature}='$ac_optarg'" ;;
120
121  -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
122  | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
123  | --exec | --exe | --ex)
124    ac_prev=exec_prefix ;;
125  -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
126  | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
127  | --exec=* | --exe=* | --ex=*)
128    exec_prefix="$ac_optarg" ;;
129
130  -gas | --gas | --ga | --g)
131    # Obsolete; use --with-gas.
132    with_gas=yes ;;
133
134  -help | --help | --hel | --he)
135    # Omit some internal or obsolete options to make the list less imposing.
136    # This message is too long to be a string in the A/UX 3.1 sh.
137    cat << EOF
138Usage: configure [options] [host]
139Options: [defaults in brackets after descriptions]
140Configuration:
141  --cache-file=FILE       cache test results in FILE
142  --help                  print this message
143  --no-create             do not create output files
144  --quiet, --silent       do not print \`checking...' messages
145  --version               print the version of autoconf that created configure
146Directory and file names:
147  --prefix=PREFIX         install architecture-independent files in PREFIX
148                          [$ac_default_prefix]
149  --exec-prefix=EPREFIX   install architecture-dependent files in EPREFIX
150                          [same as prefix]
151  --bindir=DIR            user executables in DIR [EPREFIX/bin]
152  --sbindir=DIR           system admin executables in DIR [EPREFIX/sbin]
153  --libexecdir=DIR        program executables in DIR [EPREFIX/libexec]
154  --datadir=DIR           read-only architecture-independent data in DIR
155                          [PREFIX/share]
156  --sysconfdir=DIR        read-only single-machine data in DIR [PREFIX/etc]
157  --sharedstatedir=DIR    modifiable architecture-independent data in DIR
158                          [PREFIX/com]
159  --localstatedir=DIR     modifiable single-machine data in DIR [PREFIX/var]
160  --libdir=DIR            object code libraries in DIR [EPREFIX/lib]
161  --includedir=DIR        C header files in DIR [PREFIX/include]
162  --oldincludedir=DIR     C header files for non-gcc in DIR [/usr/include]
163  --infodir=DIR           info documentation in DIR [PREFIX/info]
164  --mandir=DIR            man documentation in DIR [PREFIX/man]
165  --srcdir=DIR            find the sources in DIR [configure dir or ..]
166  --program-prefix=PREFIX prepend PREFIX to installed program names
167  --program-suffix=SUFFIX append SUFFIX to installed program names
168  --program-transform-name=PROGRAM
169                          run sed PROGRAM on installed program names
170EOF
171    cat << EOF
172Host type:
173  --build=BUILD           configure for building on BUILD [BUILD=HOST]
174  --host=HOST             configure for HOST [guessed]
175  --target=TARGET         configure for TARGET [TARGET=HOST]
176Features and packages:
177  --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
178  --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
179  --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
180  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
181  --x-includes=DIR        X include files are in DIR
182  --x-libraries=DIR       X library files are in DIR
183EOF
184    if test -n "$ac_help"; then
185      echo "--enable and --with options recognized:$ac_help"
186    fi
187    exit 0 ;;
188
189  -host | --host | --hos | --ho)
190    ac_prev=host ;;
191  -host=* | --host=* | --hos=* | --ho=*)
192    host="$ac_optarg" ;;
193
194  -includedir | --includedir | --includedi | --included | --include \
195  | --includ | --inclu | --incl | --inc)
196    ac_prev=includedir ;;
197  -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
198  | --includ=* | --inclu=* | --incl=* | --inc=*)
199    includedir="$ac_optarg" ;;
200
201  -infodir | --infodir | --infodi | --infod | --info | --inf)
202    ac_prev=infodir ;;
203  -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
204    infodir="$ac_optarg" ;;
205
206  -libdir | --libdir | --libdi | --libd)
207    ac_prev=libdir ;;
208  -libdir=* | --libdir=* | --libdi=* | --libd=*)
209    libdir="$ac_optarg" ;;
210
211  -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
212  | --libexe | --libex | --libe)
213    ac_prev=libexecdir ;;
214  -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
215  | --libexe=* | --libex=* | --libe=*)
216    libexecdir="$ac_optarg" ;;
217
218  -localstatedir | --localstatedir | --localstatedi | --localstated \
219  | --localstate | --localstat | --localsta | --localst \
220  | --locals | --local | --loca | --loc | --lo)
221    ac_prev=localstatedir ;;
222  -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
223  | --localstate=* | --localstat=* | --localsta=* | --localst=* \
224  | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
225    localstatedir="$ac_optarg" ;;
226
227  -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
228    ac_prev=mandir ;;
229  -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
230    mandir="$ac_optarg" ;;
231
232  -nfp | --nfp | --nf)
233    # Obsolete; use --without-fp.
234    with_fp=no ;;
235
236  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
237  | --no-cr | --no-c)
238    no_create=yes ;;
239
240  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
241  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
242    no_recursion=yes ;;
243
244  -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
245  | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
246  | --oldin | --oldi | --old | --ol | --o)
247    ac_prev=oldincludedir ;;
248  -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
249  | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
250  | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
251    oldincludedir="$ac_optarg" ;;
252
253  -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
254    ac_prev=prefix ;;
255  -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
256    prefix="$ac_optarg" ;;
257
258  -program-prefix | --program-prefix | --program-prefi | --program-pref \
259  | --program-pre | --program-pr | --program-p)
260    ac_prev=program_prefix ;;
261  -program-prefix=* | --program-prefix=* | --program-prefi=* \
262  | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
263    program_prefix="$ac_optarg" ;;
264
265  -program-suffix | --program-suffix | --program-suffi | --program-suff \
266  | --program-suf | --program-su | --program-s)
267    ac_prev=program_suffix ;;
268  -program-suffix=* | --program-suffix=* | --program-suffi=* \
269  | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
270    program_suffix="$ac_optarg" ;;
271
272  -program-transform-name | --program-transform-name \
273  | --program-transform-nam | --program-transform-na \
274  | --program-transform-n | --program-transform- \
275  | --program-transform | --program-transfor \
276  | --program-transfo | --program-transf \
277  | --program-trans | --program-tran \
278  | --progr-tra | --program-tr | --program-t)
279    ac_prev=program_transform_name ;;
280  -program-transform-name=* | --program-transform-name=* \
281  | --program-transform-nam=* | --program-transform-na=* \
282  | --program-transform-n=* | --program-transform-=* \
283  | --program-transform=* | --program-transfor=* \
284  | --program-transfo=* | --program-transf=* \
285  | --program-trans=* | --program-tran=* \
286  | --progr-tra=* | --program-tr=* | --program-t=*)
287    program_transform_name="$ac_optarg" ;;
288
289  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
290  | -silent | --silent | --silen | --sile | --sil)
291    silent=yes ;;
292
293  -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
294    ac_prev=sbindir ;;
295  -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
296  | --sbi=* | --sb=*)
297    sbindir="$ac_optarg" ;;
298
299  -sharedstatedir | --sharedstatedir | --sharedstatedi \
300  | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
301  | --sharedst | --shareds | --shared | --share | --shar \
302  | --sha | --sh)
303    ac_prev=sharedstatedir ;;
304  -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
305  | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
306  | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
307  | --sha=* | --sh=*)
308    sharedstatedir="$ac_optarg" ;;
309
310  -site | --site | --sit)
311    ac_prev=site ;;
312  -site=* | --site=* | --sit=*)
313    site="$ac_optarg" ;;
314
315  -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
316    ac_prev=srcdir ;;
317  -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
318    srcdir="$ac_optarg" ;;
319
320  -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
321  | --syscon | --sysco | --sysc | --sys | --sy)
322    ac_prev=sysconfdir ;;
323  -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
324  | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
325    sysconfdir="$ac_optarg" ;;
326
327  -target | --target | --targe | --targ | --tar | --ta | --t)
328    ac_prev=target ;;
329  -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
330    target="$ac_optarg" ;;
331
332  -v | -verbose | --verbose | --verbos | --verbo | --verb)
333    verbose=yes ;;
334
335  -version | --version | --versio | --versi | --vers)
336    echo "configure generated by autoconf version 2.13"
337    exit 0 ;;
338
339  -with-* | --with-*)
340    ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
341    # Reject names that are not valid shell variable names.
342    if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
343      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
344    fi
345    ac_package=`echo $ac_package| sed 's/-/_/g'`
346    case "$ac_option" in
347      *=*) ;;
348      *) ac_optarg=yes ;;
349    esac
350    eval "with_${ac_package}='$ac_optarg'" ;;
351
352  -without-* | --without-*)
353    ac_package=`echo $ac_option|sed -e 's/-*without-//'`
354    # Reject names that are not valid shell variable names.
355    if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
356      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
357    fi
358    ac_package=`echo $ac_package| sed 's/-/_/g'`
359    eval "with_${ac_package}=no" ;;
360
361  --x)
362    # Obsolete; use --with-x.
363    with_x=yes ;;
364
365  -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
366  | --x-incl | --x-inc | --x-in | --x-i)
367    ac_prev=x_includes ;;
368  -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
369  | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
370    x_includes="$ac_optarg" ;;
371
372  -x-libraries | --x-libraries | --x-librarie | --x-librari \
373  | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
374    ac_prev=x_libraries ;;
375  -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
376  | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
377    x_libraries="$ac_optarg" ;;
378
379  -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
380    ;;
381
382  *)
383    if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
384      echo "configure: warning: $ac_option: invalid host type" 1>&2
385    fi
386    if test "x$nonopt" != xNONE; then
387      { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
388    fi
389    nonopt="$ac_option"
390    ;;
391
392  esac
393done
394
395if test -n "$ac_prev"; then
396  { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
397fi
398
399trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
400
401# File descriptor usage:
402# 0 standard input
403# 1 file creation
404# 2 errors and warnings
405# 3 some systems may open it to /dev/tty
406# 4 used on the Kubota Titan
407# 6 checking for... messages and results
408# 5 compiler messages saved in config.log
409if test "$silent" = yes; then
410  exec 6>/dev/null
411else
412  exec 6>&1
413fi
414exec 5>./config.log
415
416echo "\
417This file contains any messages produced by compilers while
418running configure, to aid debugging if configure makes a mistake.
419" 1>&5
420
421# Strip out --no-create and --no-recursion so they do not pile up.
422# Also quote any args containing shell metacharacters.
423ac_configure_args=
424for ac_arg
425do
426  case "$ac_arg" in
427  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
428  | --no-cr | --no-c) ;;
429  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
430  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
431  *" "*|*"	"*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
432  ac_configure_args="$ac_configure_args '$ac_arg'" ;;
433  *) ac_configure_args="$ac_configure_args $ac_arg" ;;
434  esac
435done
436
437# NLS nuisances.
438# Only set these to C if already set.  These must not be set unconditionally
439# because not all systems understand e.g. LANG=C (notably SCO).
440# Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
441# Non-C LC_CTYPE values break the ctype check.
442if test "${LANG+set}"   = set; then LANG=C;   export LANG;   fi
443if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
444if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
445if test "${LC_CTYPE+set}"    = set; then LC_CTYPE=C;    export LC_CTYPE;    fi
446
447# confdefs.h avoids OS command line length limits that DEFS can exceed.
448rm -rf conftest* confdefs.h
449# AIX cpp loses on an empty file, so make sure it contains at least a newline.
450echo > confdefs.h
451
452# A filename unique to this package, relative to the directory that
453# configure is in, which we can look for to find out if srcdir is correct.
454ac_unique_file=getarg_.c
455
456# Find the source files, if location was not specified.
457if test -z "$srcdir"; then
458  ac_srcdir_defaulted=yes
459  # Try the directory containing this script, then its parent.
460  ac_prog=$0
461  ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
462  test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
463  srcdir=$ac_confdir
464  if test ! -r $srcdir/$ac_unique_file; then
465    srcdir=..
466  fi
467else
468  ac_srcdir_defaulted=no
469fi
470if test ! -r $srcdir/$ac_unique_file; then
471  if test "$ac_srcdir_defaulted" = yes; then
472    { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
473  else
474    { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
475  fi
476fi
477srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
478
479# Prefer explicitly selected file to automatically selected ones.
480if test -z "$CONFIG_SITE"; then
481  if test "x$prefix" != xNONE; then
482    CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
483  else
484    CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
485  fi
486fi
487for ac_site_file in $CONFIG_SITE; do
488  if test -r "$ac_site_file"; then
489    echo "loading site script $ac_site_file"
490    . "$ac_site_file"
491  fi
492done
493
494if test -r "$cache_file"; then
495  echo "loading cache $cache_file"
496  . $cache_file
497else
498  echo "creating cache $cache_file"
499  > $cache_file
500fi
501
502ac_ext=c
503# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
504ac_cpp='$CPP $CPPFLAGS'
505ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
506ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
507cross_compiling=$ac_cv_prog_cc_cross
508
509ac_exeext=
510ac_objext=o
511if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
512  # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
513  if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
514    ac_n= ac_c='
515' ac_t='	'
516  else
517    ac_n=-n ac_c= ac_t=
518  fi
519else
520  ac_n= ac_c='\c' ac_t=
521fi
522
523
524
525
526
527
528# For g77 we'll set CC to point at the built gcc, but this will get it into
529# the makefiles
530# Extract the first word of "gcc", so it can be a program name with args.
531set dummy gcc; ac_word=$2
532echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
533echo "configure:534: checking for $ac_word" >&5
534if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
535  echo $ac_n "(cached) $ac_c" 1>&6
536else
537  if test -n "$CC"; then
538  ac_cv_prog_CC="$CC" # Let the user override the test.
539else
540  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
541  ac_dummy="$PATH"
542  for ac_dir in $ac_dummy; do
543    test -z "$ac_dir" && ac_dir=.
544    if test -f $ac_dir/$ac_word; then
545      ac_cv_prog_CC="gcc"
546      break
547    fi
548  done
549  IFS="$ac_save_ifs"
550fi
551fi
552CC="$ac_cv_prog_CC"
553if test -n "$CC"; then
554  echo "$ac_t""$CC" 1>&6
555else
556  echo "$ac_t""no" 1>&6
557fi
558
559if test -z "$CC"; then
560  # Extract the first word of "cc", so it can be a program name with args.
561set dummy cc; ac_word=$2
562echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
563echo "configure:564: checking for $ac_word" >&5
564if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
565  echo $ac_n "(cached) $ac_c" 1>&6
566else
567  if test -n "$CC"; then
568  ac_cv_prog_CC="$CC" # Let the user override the test.
569else
570  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
571  ac_prog_rejected=no
572  ac_dummy="$PATH"
573  for ac_dir in $ac_dummy; do
574    test -z "$ac_dir" && ac_dir=.
575    if test -f $ac_dir/$ac_word; then
576      if test "$ac_dir/$ac_word" = "/usr/ucb/cc"; then
577        ac_prog_rejected=yes
578	continue
579      fi
580      ac_cv_prog_CC="cc"
581      break
582    fi
583  done
584  IFS="$ac_save_ifs"
585if test $ac_prog_rejected = yes; then
586  # We found a bogon in the path, so make sure we never use it.
587  set dummy $ac_cv_prog_CC
588  shift
589  if test $# -gt 0; then
590    # We chose a different compiler from the bogus one.
591    # However, it has the same basename, so the bogon will be chosen
592    # first if we set CC to just the basename; use the full file name.
593    shift
594    set dummy "$ac_dir/$ac_word" "$@"
595    shift
596    ac_cv_prog_CC="$@"
597  fi
598fi
599fi
600fi
601CC="$ac_cv_prog_CC"
602if test -n "$CC"; then
603  echo "$ac_t""$CC" 1>&6
604else
605  echo "$ac_t""no" 1>&6
606fi
607
608  if test -z "$CC"; then
609    case "`uname -s`" in
610    *win32* | *WIN32*)
611      # Extract the first word of "cl", so it can be a program name with args.
612set dummy cl; ac_word=$2
613echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
614echo "configure:615: checking for $ac_word" >&5
615if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
616  echo $ac_n "(cached) $ac_c" 1>&6
617else
618  if test -n "$CC"; then
619  ac_cv_prog_CC="$CC" # Let the user override the test.
620else
621  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
622  ac_dummy="$PATH"
623  for ac_dir in $ac_dummy; do
624    test -z "$ac_dir" && ac_dir=.
625    if test -f $ac_dir/$ac_word; then
626      ac_cv_prog_CC="cl"
627      break
628    fi
629  done
630  IFS="$ac_save_ifs"
631fi
632fi
633CC="$ac_cv_prog_CC"
634if test -n "$CC"; then
635  echo "$ac_t""$CC" 1>&6
636else
637  echo "$ac_t""no" 1>&6
638fi
639 ;;
640    esac
641  fi
642  test -z "$CC" && { echo "configure: error: no acceptable cc found in \$PATH" 1>&2; exit 1; }
643fi
644
645
646echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
647echo "configure:648: checking whether we are using GNU C" >&5
648if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
649  echo $ac_n "(cached) $ac_c" 1>&6
650else
651  cat > conftest.c <<EOF
652#ifdef __GNUC__
653  yes;
654#endif
655EOF
656if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:657: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
657  ac_cv_prog_gcc=yes
658else
659  ac_cv_prog_gcc=no
660fi
661fi
662
663echo "$ac_t""$ac_cv_prog_gcc" 1>&6
664
665if test $ac_cv_prog_gcc = yes; then
666  GCC=yes
667else
668  GCC=
669fi
670
671ac_test_CFLAGS="${CFLAGS+set}"
672ac_save_CFLAGS="$CFLAGS"
673CFLAGS=
674echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
675echo "configure:676: checking whether ${CC-cc} accepts -g" >&5
676if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
677  echo $ac_n "(cached) $ac_c" 1>&6
678else
679  echo 'void f(){}' > conftest.c
680if test -z "`${CC-cc} -g -c conftest.c 2>&1`"; then
681  ac_cv_prog_cc_g=yes
682else
683  ac_cv_prog_cc_g=no
684fi
685rm -f conftest*
686
687fi
688
689echo "$ac_t""$ac_cv_prog_cc_g" 1>&6
690if test "$ac_test_CFLAGS" = set; then
691  CFLAGS="$ac_save_CFLAGS"
692elif test $ac_cv_prog_cc_g = yes; then
693  if test "$GCC" = yes; then
694    CFLAGS="-g -O2"
695  else
696    CFLAGS="-g"
697  fi
698else
699  if test "$GCC" = yes; then
700    CFLAGS="-O2"
701  else
702    CFLAGS=
703  fi
704fi
705
706
707LIBTOOL='$(SHELL) ../libtool'
708
709
710test "$AR" || AR=ar
711
712if test "$RANLIB"; then :
713
714else
715  # Extract the first word of "ranlib", so it can be a program name with args.
716set dummy ranlib; ac_word=$2
717echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
718echo "configure:719: checking for $ac_word" >&5
719if eval "test \"`echo '$''{'ac_cv_prog_RANLIB'+set}'`\" = set"; then
720  echo $ac_n "(cached) $ac_c" 1>&6
721else
722  if test -n "$RANLIB"; then
723  ac_cv_prog_RANLIB="$RANLIB" # Let the user override the test.
724else
725  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
726  ac_dummy="$PATH"
727  for ac_dir in $ac_dummy; do
728    test -z "$ac_dir" && ac_dir=.
729    if test -f $ac_dir/$ac_word; then
730      ac_cv_prog_RANLIB="ranlib"
731      break
732    fi
733  done
734  IFS="$ac_save_ifs"
735  test -z "$ac_cv_prog_RANLIB" && ac_cv_prog_RANLIB=":"
736fi
737fi
738RANLIB="$ac_cv_prog_RANLIB"
739if test -n "$RANLIB"; then
740  echo "$ac_t""$RANLIB" 1>&6
741else
742  echo "$ac_t""no" 1>&6
743fi
744
745fi
746echo $ac_n "checking whether ${MAKE-make} sets \${MAKE}""... $ac_c" 1>&6
747echo "configure:748: checking whether ${MAKE-make} sets \${MAKE}" >&5
748set dummy ${MAKE-make}; ac_make=`echo "$2" | sed 'y%./+-%__p_%'`
749if eval "test \"`echo '$''{'ac_cv_prog_make_${ac_make}_set'+set}'`\" = set"; then
750  echo $ac_n "(cached) $ac_c" 1>&6
751else
752  cat > conftestmake <<\EOF
753all:
754	@echo 'ac_maketemp="${MAKE}"'
755EOF
756# GNU make sometimes prints "make[1]: Entering...", which would confuse us.
757eval `${MAKE-make} -f conftestmake 2>/dev/null | grep temp=`
758if test -n "$ac_maketemp"; then
759  eval ac_cv_prog_make_${ac_make}_set=yes
760else
761  eval ac_cv_prog_make_${ac_make}_set=no
762fi
763rm -f conftestmake
764fi
765if eval "test \"`echo '$ac_cv_prog_make_'${ac_make}_set`\" = yes"; then
766  echo "$ac_t""yes" 1>&6
767  SET_MAKE=
768else
769  echo "$ac_t""no" 1>&6
770  SET_MAKE="MAKE=${MAKE-make}"
771fi
772
773
774
775# Sanity check for the cross-compilation case:
776echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
777echo "configure:778: checking how to run the C preprocessor" >&5
778# On Suns, sometimes $CPP names a directory.
779if test -n "$CPP" && test -d "$CPP"; then
780  CPP=
781fi
782if test -z "$CPP"; then
783if eval "test \"`echo '$''{'ac_cv_prog_CPP'+set}'`\" = set"; then
784  echo $ac_n "(cached) $ac_c" 1>&6
785else
786    # This must be in double quotes, not single quotes, because CPP may get
787  # substituted into the Makefile and "${CC-cc}" will confuse make.
788  CPP="${CC-cc} -E"
789  # On the NeXT, cc -E runs the code through the compiler's parser,
790  # not just through cpp.
791  cat > conftest.$ac_ext <<EOF
792#line 793 "configure"
793#include "confdefs.h"
794#include <assert.h>
795Syntax Error
796EOF
797ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
798{ (eval echo configure:799: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
799ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
800if test -z "$ac_err"; then
801  :
802else
803  echo "$ac_err" >&5
804  echo "configure: failed program was:" >&5
805  cat conftest.$ac_ext >&5
806  rm -rf conftest*
807  CPP="${CC-cc} -E -traditional-cpp"
808  cat > conftest.$ac_ext <<EOF
809#line 810 "configure"
810#include "confdefs.h"
811#include <assert.h>
812Syntax Error
813EOF
814ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
815{ (eval echo configure:816: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
816ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
817if test -z "$ac_err"; then
818  :
819else
820  echo "$ac_err" >&5
821  echo "configure: failed program was:" >&5
822  cat conftest.$ac_ext >&5
823  rm -rf conftest*
824  CPP="${CC-cc} -nologo -E"
825  cat > conftest.$ac_ext <<EOF
826#line 827 "configure"
827#include "confdefs.h"
828#include <assert.h>
829Syntax Error
830EOF
831ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
832{ (eval echo configure:833: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
833ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
834if test -z "$ac_err"; then
835  :
836else
837  echo "$ac_err" >&5
838  echo "configure: failed program was:" >&5
839  cat conftest.$ac_ext >&5
840  rm -rf conftest*
841  CPP=/lib/cpp
842fi
843rm -f conftest*
844fi
845rm -f conftest*
846fi
847rm -f conftest*
848  ac_cv_prog_CPP="$CPP"
849fi
850  CPP="$ac_cv_prog_CPP"
851else
852  ac_cv_prog_CPP="$CPP"
853fi
854echo "$ac_t""$CPP" 1>&6
855
856ac_safe=`echo "stdio.h" | sed 'y%./+-%__p_%'`
857echo $ac_n "checking for stdio.h""... $ac_c" 1>&6
858echo "configure:859: checking for stdio.h" >&5
859if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
860  echo $ac_n "(cached) $ac_c" 1>&6
861else
862  cat > conftest.$ac_ext <<EOF
863#line 864 "configure"
864#include "confdefs.h"
865#include <stdio.h>
866EOF
867ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
868{ (eval echo configure:869: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
869ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
870if test -z "$ac_err"; then
871  rm -rf conftest*
872  eval "ac_cv_header_$ac_safe=yes"
873else
874  echo "$ac_err" >&5
875  echo "configure: failed program was:" >&5
876  cat conftest.$ac_ext >&5
877  rm -rf conftest*
878  eval "ac_cv_header_$ac_safe=no"
879fi
880rm -f conftest*
881fi
882if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
883  echo "$ac_t""yes" 1>&6
884  :
885else
886  echo "$ac_t""no" 1>&6
887{ echo "configure: error: Can't find stdio.h.
888You must have a usable C system for the target already installed, at least
889including headers and, preferably, the library, before you can configure
890the G77 runtime system.  If necessary, install gcc now with \`LANGUAGES=c',
891then the target library, then build with \`LANGUAGES=f77'." 1>&2; exit 1; }
892fi
893
894
895echo $ac_n "checking for ANSI C header files""... $ac_c" 1>&6
896echo "configure:897: checking for ANSI C header files" >&5
897if eval "test \"`echo '$''{'ac_cv_header_stdc'+set}'`\" = set"; then
898  echo $ac_n "(cached) $ac_c" 1>&6
899else
900  cat > conftest.$ac_ext <<EOF
901#line 902 "configure"
902#include "confdefs.h"
903#include <stdlib.h>
904#include <stdarg.h>
905#include <string.h>
906#include <float.h>
907EOF
908ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
909{ (eval echo configure:910: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
910ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
911if test -z "$ac_err"; then
912  rm -rf conftest*
913  ac_cv_header_stdc=yes
914else
915  echo "$ac_err" >&5
916  echo "configure: failed program was:" >&5
917  cat conftest.$ac_ext >&5
918  rm -rf conftest*
919  ac_cv_header_stdc=no
920fi
921rm -f conftest*
922
923if test $ac_cv_header_stdc = yes; then
924  # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
925cat > conftest.$ac_ext <<EOF
926#line 927 "configure"
927#include "confdefs.h"
928#include <string.h>
929EOF
930if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
931  egrep "memchr" >/dev/null 2>&1; then
932  :
933else
934  rm -rf conftest*
935  ac_cv_header_stdc=no
936fi
937rm -f conftest*
938
939fi
940
941if test $ac_cv_header_stdc = yes; then
942  # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
943cat > conftest.$ac_ext <<EOF
944#line 945 "configure"
945#include "confdefs.h"
946#include <stdlib.h>
947EOF
948if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
949  egrep "free" >/dev/null 2>&1; then
950  :
951else
952  rm -rf conftest*
953  ac_cv_header_stdc=no
954fi
955rm -f conftest*
956
957fi
958
959if test $ac_cv_header_stdc = yes; then
960  # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
961if test "$cross_compiling" = yes; then
962  :
963else
964  cat > conftest.$ac_ext <<EOF
965#line 966 "configure"
966#include "confdefs.h"
967#include <ctype.h>
968#define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
969#define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
970#define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
971int main () { int i; for (i = 0; i < 256; i++)
972if (XOR (islower (i), ISLOWER (i)) || toupper (i) != TOUPPER (i)) exit(2);
973exit (0); }
974
975EOF
976if { (eval echo configure:977: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
977then
978  :
979else
980  echo "configure: failed program was:" >&5
981  cat conftest.$ac_ext >&5
982  rm -fr conftest*
983  ac_cv_header_stdc=no
984fi
985rm -fr conftest*
986fi
987
988fi
989fi
990
991echo "$ac_t""$ac_cv_header_stdc" 1>&6
992if test $ac_cv_header_stdc = yes; then
993  cat >> confdefs.h <<\EOF
994#define STDC_HEADERS 1
995EOF
996
997fi
998
999echo $ac_n "checking for posix""... $ac_c" 1>&6
1000echo "configure:1001: checking for posix" >&5
1001if eval "test \"`echo '$''{'g77_cv_header_posix'+set}'`\" = set"; then
1002  echo $ac_n "(cached) $ac_c" 1>&6
1003else
1004  cat > conftest.$ac_ext <<EOF
1005#line 1006 "configure"
1006#include "confdefs.h"
1007#include <sys/types.h>
1008#include <unistd.h>
1009#ifdef _POSIX_VERSION
1010  yes
1011#endif
1012
1013EOF
1014if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
1015  egrep "yes" >/dev/null 2>&1; then
1016  rm -rf conftest*
1017  g77_cv_header_posix=yes
1018else
1019  rm -rf conftest*
1020  g77_cv_header_posix=no
1021fi
1022rm -f conftest*
1023
1024fi
1025
1026echo "$ac_t""$g77_cv_header_posix" 1>&6
1027
1028# We can rely on the GNU library being posix-ish.  I guess checking the
1029# header isn't actually like checking the functions, though...
1030echo $ac_n "checking for GNU library""... $ac_c" 1>&6
1031echo "configure:1032: checking for GNU library" >&5
1032if eval "test \"`echo '$''{'g77_cv_lib_gnu'+set}'`\" = set"; then
1033  echo $ac_n "(cached) $ac_c" 1>&6
1034else
1035  cat > conftest.$ac_ext <<EOF
1036#line 1037 "configure"
1037#include "confdefs.h"
1038#include <stdio.h>
1039#ifdef __GNU_LIBRARY__
1040  yes
1041#endif
1042
1043EOF
1044if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
1045  egrep "yes" >/dev/null 2>&1; then
1046  rm -rf conftest*
1047  g77_cv_lib_gnu=yes
1048else
1049  rm -rf conftest*
1050  g77_cv_lib_gnu=no
1051fi
1052rm -f conftest*
1053
1054fi
1055
1056echo "$ac_t""$g77_cv_lib_gnu" 1>&6
1057
1058echo $ac_n "checking return type of signal handlers""... $ac_c" 1>&6
1059echo "configure:1060: checking return type of signal handlers" >&5
1060if eval "test \"`echo '$''{'ac_cv_type_signal'+set}'`\" = set"; then
1061  echo $ac_n "(cached) $ac_c" 1>&6
1062else
1063  cat > conftest.$ac_ext <<EOF
1064#line 1065 "configure"
1065#include "confdefs.h"
1066#include <sys/types.h>
1067#include <signal.h>
1068#ifdef signal
1069#undef signal
1070#endif
1071#ifdef __cplusplus
1072extern "C" void (*signal (int, void (*)(int)))(int);
1073#else
1074void (*signal ()) ();
1075#endif
1076
1077int main() {
1078int i;
1079; return 0; }
1080EOF
1081if { (eval echo configure:1082: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1082  rm -rf conftest*
1083  ac_cv_type_signal=void
1084else
1085  echo "configure: failed program was:" >&5
1086  cat conftest.$ac_ext >&5
1087  rm -rf conftest*
1088  ac_cv_type_signal=int
1089fi
1090rm -f conftest*
1091fi
1092
1093echo "$ac_t""$ac_cv_type_signal" 1>&6
1094cat >> confdefs.h <<EOF
1095#define RETSIGTYPE $ac_cv_type_signal
1096EOF
1097
1098
1099# we'll get atexit by default
1100if test $ac_cv_header_stdc != yes; then
1101echo $ac_n "checking for atexit""... $ac_c" 1>&6
1102echo "configure:1103: checking for atexit" >&5
1103if eval "test \"`echo '$''{'ac_cv_func_atexit'+set}'`\" = set"; then
1104  echo $ac_n "(cached) $ac_c" 1>&6
1105else
1106  cat > conftest.$ac_ext <<EOF
1107#line 1108 "configure"
1108#include "confdefs.h"
1109/* System header to define __stub macros and hopefully few prototypes,
1110    which can conflict with char atexit(); below.  */
1111#include <assert.h>
1112/* Override any gcc2 internal prototype to avoid an error.  */
1113/* We use char because int might match the return type of a gcc2
1114    builtin and then its argument prototype would still apply.  */
1115char atexit();
1116
1117int main() {
1118
1119/* The GNU C library defines this for functions which it implements
1120    to always fail with ENOSYS.  Some functions are actually named
1121    something starting with __ and the normal name is an alias.  */
1122#if defined (__stub_atexit) || defined (__stub___atexit)
1123choke me
1124#else
1125atexit();
1126#endif
1127
1128; return 0; }
1129EOF
1130if { (eval echo configure:1131: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1131  rm -rf conftest*
1132  eval "ac_cv_func_atexit=yes"
1133else
1134  echo "configure: failed program was:" >&5
1135  cat conftest.$ac_ext >&5
1136  rm -rf conftest*
1137  eval "ac_cv_func_atexit=no"
1138fi
1139rm -f conftest*
1140fi
1141
1142if eval "test \"`echo '$ac_cv_func_'atexit`\" = yes"; then
1143  echo "$ac_t""yes" 1>&6
1144  cat >> confdefs.h <<\EOF
1145#define onexit atexit
1146EOF
1147
1148else
1149  echo "$ac_t""no" 1>&6
1150  cat >> confdefs.h <<\EOF
1151#define NO_ONEXIT 1
1152EOF
1153
1154  echo $ac_n "checking for onexit""... $ac_c" 1>&6
1155echo "configure:1156: checking for onexit" >&5
1156if eval "test \"`echo '$''{'ac_cv_func_onexit'+set}'`\" = set"; then
1157  echo $ac_n "(cached) $ac_c" 1>&6
1158else
1159  cat > conftest.$ac_ext <<EOF
1160#line 1161 "configure"
1161#include "confdefs.h"
1162/* System header to define __stub macros and hopefully few prototypes,
1163    which can conflict with char onexit(); below.  */
1164#include <assert.h>
1165/* Override any gcc2 internal prototype to avoid an error.  */
1166/* We use char because int might match the return type of a gcc2
1167    builtin and then its argument prototype would still apply.  */
1168char onexit();
1169
1170int main() {
1171
1172/* The GNU C library defines this for functions which it implements
1173    to always fail with ENOSYS.  Some functions are actually named
1174    something starting with __ and the normal name is an alias.  */
1175#if defined (__stub_onexit) || defined (__stub___onexit)
1176choke me
1177#else
1178onexit();
1179#endif
1180
1181; return 0; }
1182EOF
1183if { (eval echo configure:1184: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1184  rm -rf conftest*
1185  eval "ac_cv_func_onexit=yes"
1186else
1187  echo "configure: failed program was:" >&5
1188  cat conftest.$ac_ext >&5
1189  rm -rf conftest*
1190  eval "ac_cv_func_onexit=no"
1191fi
1192rm -f conftest*
1193fi
1194
1195if eval "test \"`echo '$ac_cv_func_'onexit`\" = yes"; then
1196  echo "$ac_t""yes" 1>&6
1197  :
1198else
1199  echo "$ac_t""no" 1>&6
1200echo $ac_n "checking for on_exit""... $ac_c" 1>&6
1201echo "configure:1202: checking for on_exit" >&5
1202if eval "test \"`echo '$''{'ac_cv_func_on_exit'+set}'`\" = set"; then
1203  echo $ac_n "(cached) $ac_c" 1>&6
1204else
1205  cat > conftest.$ac_ext <<EOF
1206#line 1207 "configure"
1207#include "confdefs.h"
1208/* System header to define __stub macros and hopefully few prototypes,
1209    which can conflict with char on_exit(); below.  */
1210#include <assert.h>
1211/* Override any gcc2 internal prototype to avoid an error.  */
1212/* We use char because int might match the return type of a gcc2
1213    builtin and then its argument prototype would still apply.  */
1214char on_exit();
1215
1216int main() {
1217
1218/* The GNU C library defines this for functions which it implements
1219    to always fail with ENOSYS.  Some functions are actually named
1220    something starting with __ and the normal name is an alias.  */
1221#if defined (__stub_on_exit) || defined (__stub___on_exit)
1222choke me
1223#else
1224on_exit();
1225#endif
1226
1227; return 0; }
1228EOF
1229if { (eval echo configure:1230: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1230  rm -rf conftest*
1231  eval "ac_cv_func_on_exit=yes"
1232else
1233  echo "configure: failed program was:" >&5
1234  cat conftest.$ac_ext >&5
1235  rm -rf conftest*
1236  eval "ac_cv_func_on_exit=no"
1237fi
1238rm -f conftest*
1239fi
1240
1241if eval "test \"`echo '$ac_cv_func_'on_exit`\" = yes"; then
1242  echo "$ac_t""yes" 1>&6
1243  cat >> confdefs.h <<\EOF
1244#define onexit on_exit
1245EOF
1246
1247else
1248  echo "$ac_t""no" 1>&6
1249fi
1250
1251fi
1252
1253fi
1254
1255else true
1256fi
1257
1258echo $ac_n "checking for drem in -lm""... $ac_c" 1>&6
1259echo "configure:1260: checking for drem in -lm" >&5
1260ac_lib_var=`echo m'_'drem | sed 'y%./+-%__p_%'`
1261if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
1262  echo $ac_n "(cached) $ac_c" 1>&6
1263else
1264  ac_save_LIBS="$LIBS"
1265LIBS="-lm  $LIBS"
1266cat > conftest.$ac_ext <<EOF
1267#line 1268 "configure"
1268#include "confdefs.h"
1269/* Override any gcc2 internal prototype to avoid an error.  */
1270/* We use char because int might match the return type of a gcc2
1271    builtin and then its argument prototype would still apply.  */
1272char drem();
1273
1274int main() {
1275drem()
1276; return 0; }
1277EOF
1278if { (eval echo configure:1279: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1279  rm -rf conftest*
1280  eval "ac_cv_lib_$ac_lib_var=yes"
1281else
1282  echo "configure: failed program was:" >&5
1283  cat conftest.$ac_ext >&5
1284  rm -rf conftest*
1285  eval "ac_cv_lib_$ac_lib_var=no"
1286fi
1287rm -f conftest*
1288LIBS="$ac_save_LIBS"
1289
1290fi
1291if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
1292  echo "$ac_t""yes" 1>&6
1293  cat >> confdefs.h <<\EOF
1294#define IEEE_drem 1
1295EOF
1296
1297else
1298  echo "$ac_t""no" 1>&6
1299fi
1300
1301
1302cat >> confdefs.h <<\EOF
1303#define Skip_f2c_Undefs 1
1304EOF
1305
1306cat >> confdefs.h <<\EOF
1307#define IEEE_COMPLEX_DIVIDE 1
1308EOF
1309
1310
1311trap '' 1 2 15
1312cat > confcache <<\EOF
1313# This file is a shell script that caches the results of configure
1314# tests run on this system so they can be shared between configure
1315# scripts and configure runs.  It is not useful on other systems.
1316# If it contains results you don't want to keep, you may remove or edit it.
1317#
1318# By default, configure uses ./config.cache as the cache file,
1319# creating it if it does not exist already.  You can give configure
1320# the --cache-file=FILE option to use a different cache file; that is
1321# what configure does when it calls configure scripts in
1322# subdirectories, so they share the cache.
1323# Giving --cache-file=/dev/null disables caching, for debugging configure.
1324# config.status only pays attention to the cache file if you give it the
1325# --recheck option to rerun configure.
1326#
1327EOF
1328# The following way of writing the cache mishandles newlines in values,
1329# but we know of no workaround that is simple, portable, and efficient.
1330# So, don't put newlines in cache variables' values.
1331# Ultrix sh set writes to stderr and can't be redirected directly,
1332# and sets the high bit in the cache file unless we assign to the vars.
1333(set) 2>&1 |
1334  case `(ac_space=' '; set | grep ac_space) 2>&1` in
1335  *ac_space=\ *)
1336    # `set' does not quote correctly, so add quotes (double-quote substitution
1337    # turns \\\\ into \\, and sed turns \\ into \).
1338    sed -n \
1339      -e "s/'/'\\\\''/g" \
1340      -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
1341    ;;
1342  *)
1343    # `set' quotes correctly as required by POSIX, so do not add quotes.
1344    sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
1345    ;;
1346  esac >> confcache
1347if cmp -s $cache_file confcache; then
1348  :
1349else
1350  if test -w $cache_file; then
1351    echo "updating cache $cache_file"
1352    cat confcache > $cache_file
1353  else
1354    echo "not updating unwritable cache $cache_file"
1355  fi
1356fi
1357rm -f confcache
1358
1359trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
1360
1361test "x$prefix" = xNONE && prefix=$ac_default_prefix
1362# Let make expand exec_prefix.
1363test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
1364
1365# Any assignment to VPATH causes Sun make to only execute
1366# the first set of double-colon rules, so remove it if not needed.
1367# If there is a colon in the path, we need to keep it.
1368if test "x$srcdir" = x.; then
1369  ac_vpsub='/^[ 	]*VPATH[ 	]*=[^:]*$/d'
1370fi
1371
1372trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
1373
1374# Transform confdefs.h into DEFS.
1375# Protect against shell expansion while executing Makefile rules.
1376# Protect against Makefile macro expansion.
1377cat > conftest.defs <<\EOF
1378s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%-D\1=\2%g
1379s%[ 	`~#$^&*(){}\\|;'"<>?]%\\&%g
1380s%\[%\\&%g
1381s%\]%\\&%g
1382s%\$%$$%g
1383EOF
1384DEFS=`sed -f conftest.defs confdefs.h | tr '\012' ' '`
1385rm -f conftest.defs
1386
1387
1388# Without the "./", some shells look in PATH for config.status.
1389: ${CONFIG_STATUS=./config.status}
1390
1391echo creating $CONFIG_STATUS
1392rm -f $CONFIG_STATUS
1393cat > $CONFIG_STATUS <<EOF
1394#! /bin/sh
1395# Generated automatically by configure.
1396# Run this file to recreate the current configuration.
1397# This directory was configured as follows,
1398# on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
1399#
1400# $0 $ac_configure_args
1401#
1402# Compiler output produced by configure, useful for debugging
1403# configure, is in ./config.log if it exists.
1404
1405ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
1406for ac_option
1407do
1408  case "\$ac_option" in
1409  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
1410    echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
1411    exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
1412  -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
1413    echo "$CONFIG_STATUS generated by autoconf version 2.13"
1414    exit 0 ;;
1415  -help | --help | --hel | --he | --h)
1416    echo "\$ac_cs_usage"; exit 0 ;;
1417  *) echo "\$ac_cs_usage"; exit 1 ;;
1418  esac
1419done
1420
1421ac_given_srcdir=$srcdir
1422
1423trap 'rm -fr `echo "Makefile" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
1424EOF
1425cat >> $CONFIG_STATUS <<EOF
1426
1427# Protect against being on the right side of a sed subst in config.status.
1428sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
1429 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
1430$ac_vpsub
1431$extrasub
1432s%@SHELL@%$SHELL%g
1433s%@CFLAGS@%$CFLAGS%g
1434s%@CPPFLAGS@%$CPPFLAGS%g
1435s%@CXXFLAGS@%$CXXFLAGS%g
1436s%@FFLAGS@%$FFLAGS%g
1437s%@DEFS@%$DEFS%g
1438s%@LDFLAGS@%$LDFLAGS%g
1439s%@LIBS@%$LIBS%g
1440s%@exec_prefix@%$exec_prefix%g
1441s%@prefix@%$prefix%g
1442s%@program_transform_name@%$program_transform_name%g
1443s%@bindir@%$bindir%g
1444s%@sbindir@%$sbindir%g
1445s%@libexecdir@%$libexecdir%g
1446s%@datadir@%$datadir%g
1447s%@sysconfdir@%$sysconfdir%g
1448s%@sharedstatedir@%$sharedstatedir%g
1449s%@localstatedir@%$localstatedir%g
1450s%@libdir@%$libdir%g
1451s%@includedir@%$includedir%g
1452s%@oldincludedir@%$oldincludedir%g
1453s%@infodir@%$infodir%g
1454s%@mandir@%$mandir%g
1455s%@CC@%$CC%g
1456s%@LIBTOOL@%$LIBTOOL%g
1457s%@AR@%$AR%g
1458s%@RANLIB@%$RANLIB%g
1459s%@SET_MAKE@%$SET_MAKE%g
1460s%@CPP@%$CPP%g
1461
1462CEOF
1463EOF
1464
1465cat >> $CONFIG_STATUS <<\EOF
1466
1467# Split the substitutions into bite-sized pieces for seds with
1468# small command number limits, like on Digital OSF/1 and HP-UX.
1469ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
1470ac_file=1 # Number of current file.
1471ac_beg=1 # First line for current file.
1472ac_end=$ac_max_sed_cmds # Line after last line for current file.
1473ac_more_lines=:
1474ac_sed_cmds=""
1475while $ac_more_lines; do
1476  if test $ac_beg -gt 1; then
1477    sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
1478  else
1479    sed "${ac_end}q" conftest.subs > conftest.s$ac_file
1480  fi
1481  if test ! -s conftest.s$ac_file; then
1482    ac_more_lines=false
1483    rm -f conftest.s$ac_file
1484  else
1485    if test -z "$ac_sed_cmds"; then
1486      ac_sed_cmds="sed -f conftest.s$ac_file"
1487    else
1488      ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
1489    fi
1490    ac_file=`expr $ac_file + 1`
1491    ac_beg=$ac_end
1492    ac_end=`expr $ac_end + $ac_max_sed_cmds`
1493  fi
1494done
1495if test -z "$ac_sed_cmds"; then
1496  ac_sed_cmds=cat
1497fi
1498EOF
1499
1500cat >> $CONFIG_STATUS <<EOF
1501
1502CONFIG_FILES=\${CONFIG_FILES-"Makefile"}
1503EOF
1504cat >> $CONFIG_STATUS <<\EOF
1505for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
1506  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1507  case "$ac_file" in
1508  *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1509       ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1510  *) ac_file_in="${ac_file}.in" ;;
1511  esac
1512
1513  # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
1514
1515  # Remove last slash and all that follows it.  Not all systems have dirname.
1516  ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1517  if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1518    # The file is in a subdirectory.
1519    test ! -d "$ac_dir" && mkdir "$ac_dir"
1520    ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
1521    # A "../" for each directory in $ac_dir_suffix.
1522    ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
1523  else
1524    ac_dir_suffix= ac_dots=
1525  fi
1526
1527  case "$ac_given_srcdir" in
1528  .)  srcdir=.
1529      if test -z "$ac_dots"; then top_srcdir=.
1530      else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
1531  /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
1532  *) # Relative path.
1533    srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
1534    top_srcdir="$ac_dots$ac_given_srcdir" ;;
1535  esac
1536
1537
1538  echo creating "$ac_file"
1539  rm -f "$ac_file"
1540  configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
1541  case "$ac_file" in
1542  *Makefile*) ac_comsub="1i\\
1543# $configure_input" ;;
1544  *) ac_comsub= ;;
1545  esac
1546
1547  ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1548  sed -e "$ac_comsub
1549s%@configure_input@%$configure_input%g
1550s%@srcdir@%$srcdir%g
1551s%@top_srcdir@%$top_srcdir%g
1552" $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
1553fi; done
1554rm -f conftest.s*
1555
1556EOF
1557cat >> $CONFIG_STATUS <<EOF
1558
1559EOF
1560cat >> $CONFIG_STATUS <<\EOF
1561
1562exit 0
1563EOF
1564chmod +x $CONFIG_STATUS
1565rm -fr confdefs* $ac_clean_files
1566test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
1567
1568
1569